Skip to main content
GET
/
monitoring
/
v2
/
monitoring-views
/
{monitoringViewId}
/
developments
Developments matched by a monitoring view
curl --request GET \
  --url https://api.messari.io/monitoring/v2/monitoring-views/{monitoringViewId}/developments \
  --header 'X-Messari-API-Key: <api-key>'
{
  "error": null,
  "data": [
    {
      "id": "e177e58e-11e2-4446-a7c9-a43ce3248253",
      "title": "Binance.US Listing",
      "summary": "Binance.US has [listed](https://x.com/trondao/status/2044817915082428736?s=46) TRON (TRX), and spot trading is now available.",
      "industry": "crypto",
      "verified": true,
      "intelCategories": [
        "token_listing"
      ],
      "intelSubcategories": [
        "spot_listing"
      ],
      "importance": "low",
      "actionable": false,
      "governance": false,
      "documents": [
        {
          "url": "https://x.com/trondao/status/2044817915082428736",
          "title": "@trondao Post on X"
        }
      ],
      "startedAt": "2026-04-16T17:34:16Z",
      "endedAt": "2026-04-16T17:34:16Z",
      "createdAt": "2026-04-16T17:35:35Z",
      "updatedAt": "2026-04-16T17:35:36Z",
      "assets": [
        {
          "id": "1c077d6e-99c7-491c-b24d-1d359011cd81",
          "name": "TRON",
          "slug": "tron",
          "symbol": "TRX",
          "class": "primary"
        }
      ],
      "event": {
        "id": "414138a6-e41b-4b55-a2aa-7afb0e7df5ac",
        "slug": "binance-us-listing-414138",
        "title": "Binance.US Listing",
        "developmentCount": 1
      }
    },
    {
      "id": "afe612b4-129c-42dd-a5c7-1088d440b27d",
      "title": "HTX Listing",
      "summary": "Following its completion of the [token swap process for DAI](https://messari.io/intel/event/14219ace-0a50-4e4b-9517-9e0a50258153), HTX has [announced](https://www.htx.com/support/45030386299575) that spot trading for USDS is now available.",
      "industry": "crypto",
      "verified": true,
      "intelCategories": [
        "token_listing"
      ],
      "intelSubcategories": [
        "spot_listing"
      ],
      "importance": "low",
      "actionable": false,
      "governance": false,
      "documents": [],
      "startedAt": "2026-04-13T13:00:00Z",
      "endedAt": "2026-04-13T13:00:00Z",
      "createdAt": "2026-04-13T16:41:57Z",
      "updatedAt": "2026-04-13T16:41:57Z",
      "assets": [
        {
          "id": "5b9504b4-fc14-4ec5-af2b-4ba1bd496cfe",
          "name": "Sky Dollar",
          "slug": "usds",
          "symbol": "USDS",
          "class": "primary"
        },
        {
          "id": "6b4833f7-4671-4074-9de6-93d6c40bd739",
          "name": "Sky Protocol",
          "slug": "sky-protocol",
          "symbol": "SKY",
          "class": "secondary"
        }
      ],
      "event": {
        "id": "c0350400-7df2-43ef-9fa0-d825b4ba0c09",
        "slug": "htx-listing-c03504",
        "title": "HTX Listing",
        "developmentCount": 1
      }
    },
    {
      "id": "0748411e-9512-411d-b422-943621ac0f3c",
      "title": "Robinhood Listing",
      "summary": "Robinhood has [listed](https://x.com/RobinhoodApp/status/2041508148662423932) Orca (ORCA) and Raydium (RAY).",
      "industry": "crypto",
      "verified": true,
      "intelCategories": [
        "token_listing"
      ],
      "intelSubcategories": [
        "spot_listing"
      ],
      "importance": "medium",
      "actionable": false,
      "governance": false,
      "documents": [
        {
          "url": "https://x.com/RobinhoodApp/status/2041508148662423932",
          "title": "@RobinhoodApp Post on X"
        }
      ],
      "startedAt": "2026-04-07T13:32:00Z",
      "endedAt": "2026-04-07T13:32:00Z",
      "createdAt": "2026-04-07T13:50:51Z",
      "updatedAt": "2026-04-07T13:50:51Z",
      "assets": [
        {
          "id": "79a255c8-7866-4dea-b368-4f4171617ef8",
          "name": "Orca",
          "slug": "orca",
          "symbol": "ORCA",
          "class": "primary"
        },
        {
          "id": "fd41189f-48ce-417b-97a4-3da221dfa5d8",
          "name": "Raydium",
          "slug": "raydium",
          "symbol": "RAY",
          "class": "primary"
        }
      ],
      "event": {
        "id": "b3564f20-ef9d-470c-95dc-52210a6a40cd",
        "slug": "robinhood-listing-b3564f",
        "title": "Robinhood Listing",
        "developmentCount": 1
      }
    }
  ],
  "metadata": {
    "limit": 3,
    "page": 1,
    "totalRows": 432,
    "totalPages": 144
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.messari.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

monitoringViewId
string
required

Monitoring view UUID or slug-with-id-prefix

Example:

"3ae07edf-61b6-4582-ad3b-ff48e50a7f47"

Query Parameters

limit
integer<int64>
default:10

Page size (1-100, default 10)

Example:

10

page
integer<int64>
default:1

1-indexed page (default 1)

Example:

1

Free-text search (max 200 chars)

Response

Default response

data
object[]
required
error
string | null
metadata
object